<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:minHeight="30dp"
    android:layout_marginBottom="@dimen/dp_10"
    android:orientation="horizontal">
    <RelativeLayout
        android:layout_width="130dp"
        android:layout_height="match_parent">
        <TextView
            android:id="@+id/name_PLC"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:text=""/>
        <TextView
            android:id="@+id/name"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="false"
            android:layout_centerVertical="true"
            android:text=""
            android:textSize="19dp"/>
    </RelativeLayout>

    <LinearLayout
        android:layout_marginLeft="@dimen/dp_10"
        android:id="@+id/wenben"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <RelativeLayout
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="match_parent">
            <EditText
                android:id="@+id/edittext_plc"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:background="@drawable/input_bj"
                android:hint="请输入变量"
                android:inputType="number|numberDecimal"
                android:layout_centerVertical="true"
                android:maxLines="1"
                android:padding="3dp"
                android:textSize="12dp"
                android:text="0"/>
        </RelativeLayout>


        <RelativeLayout
            android:layout_marginLeft="10dp"
            android:layout_width="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_height="wrap_content">
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <Button
                    android:id="@+id/update_plc"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/button1"
                    android:layout_centerInParent="true"

                    android:text="写"
                    android:textSize="14dp" />
            </LinearLayout>
        </RelativeLayout>
    </LinearLayout>

    <RelativeLayout
        android:layout_marginLeft="@dimen/dp_10"
        android:id="@+id/kaiguan"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">
        <Button
            android:id="@+id/control_botton"
            android:layout_width="80dp"
            android:layout_height="26dp"
            android:layout_marginRight="@dimen/dp_10"
            android:background="@drawable/bg_btn_login_selected"
            android:layout_centerInParent="true"
            android:visibility="gone"
            android:text="启动"
            android:textSize="14dp" />
        <com.suke.widget.SwitchButton
            app:sb_uncheck_color="@color/app_color_blue"
            app:sb_uncheckcircle_color="@color/app_color_blue"
            app:sb_button_color="@color/app_color_blue"
            android:id="@+id/control_switch"
            android:layout_width="80dp"
            android:layout_height="wrap_content"
            android:focusable="true">

        </com.suke.widget.SwitchButton>
<!--        <Switch-->
<!--            android:layout_width="wrap_content"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:focusable="true"-->
<!--            />-->
    </RelativeLayout>

    <RelativeLayout
        android:layout_marginLeft="@dimen/dp_10"
        android:id="@+id/zhidu"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">
        <TextView
            android:id="@+id/text_wb"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:text="未知"/>
    </RelativeLayout>
</LinearLayout>